Bug 391010 - Kmail closes by clicking the "Security" tab
Summary: Kmail closes by clicking the "Security" tab
Status: CLOSED NOT A BUG
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2018-02-24 16:26 UTC by Glauber Anjos
Modified: 2018-03-16 07:23 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Glauber Anjos 2018-02-24 16:26:40 UTC
Application: plasmashell (5.12.2)

Qt Version: 5.10.0
Frameworks Version: 5.43.0
Operating System: Linux 4.4.114-42-default x86_64
Distribution: "openSUSE Leap 42.3"

-- Information about the crash:
In Opensuse Leap 42.3, whenever I try to access the "Security" tab to enable HTML, KMail closes.

The crash can be reproduced sometimes.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f93f12b3900 (LWP 2919))]

Thread 7 (Thread 0x7f9327aca700 (LWP 3039)):
#0  0x00007f93e55ab8b4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f93e5569950 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f93e556a230 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f93e556a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f93eb227fbb in QEventDispatcherGlib::processEvents (this=0x7f93200008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f93eb1d3a4b in QEventLoop::exec (this=this@entry=0x7f9327ac9c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f93eb01114a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:522
#7  0x00007f9328efa8f7 in KCupsConnection::run() () from /usr/lib64/libkcupslib.so
#8  0x00007f93eb015e0f in QThreadPrivate::start (arg=0x42f3450) at thread/qthread_unix.cpp:376
#9  0x00007f93e9eda724 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f93ea91ae8d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f9337f9f700 (LWP 3032)):
#0  0x00007f93e55ab8b4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f93e556a309 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f93e556a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f93eb227fbb in QEventDispatcherGlib::processEvents (this=0x7f93300008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f93eb1d3a4b in QEventLoop::exec (this=this@entry=0x7f9337f9ec60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f93eb01114a in QThread::exec (this=this@entry=0x34e6930) at thread/qthread.cpp:522
#6  0x00007f93eecbfb82 in QQuickPixmapReader::run (this=0x34e6930) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/quick/util/qquickpixmapcache.cpp:887
#7  0x00007f93eb015e0f in QThreadPrivate::start (arg=0x34e6930) at thread/qthread_unix.cpp:376
#8  0x00007f93e9eda724 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f93ea91ae8d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f93c2bff700 (LWP 3031)):
#0  0x00007f93e9edf0ff in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f93f0987c8b in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007f93f0987cb9 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007f93e9eda724 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f93ea91ae8d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f93d0d34700 (LWP 3030)):
#0  0x00007f93ea90e33d in read () from /lib64/libc.so.6
#1  0x00007f93e55aa750 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f93e5569e49 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f93e556a2a8 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f93e556a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f93eb227fbb in QEventDispatcherGlib::processEvents (this=0x7f93c80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f93eb1d3a4b in QEventLoop::exec (this=this@entry=0x7f93d0d33ca0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f93eb01114a in QThread::exec (this=this@entry=0x1c12460) at thread/qthread.cpp:522
#8  0x00007f93ee10f3c8 in QQmlThreadPrivate::run (this=0x1c12460) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/ftw/qqmlthread.cpp:147
#9  0x00007f93eb015e0f in QThreadPrivate::start (arg=0x1c12460) at thread/qthread_unix.cpp:376
#10 0x00007f93e9eda724 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f93ea91ae8d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f93d25b9700 (LWP 3008)):
#0  0x00007f93e5567750 in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f93e55699e0 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f93e556a230 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f93e556a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f93eb227fbb in QEventDispatcherGlib::processEvents (this=0x7f93c40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f93eb1d3a4b in QEventLoop::exec (this=this@entry=0x7f93d25b8ca0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f93eb01114a in QThread::exec (this=this@entry=0x1aaec10) at thread/qthread.cpp:522
#7  0x00007f93ee10f3c8 in QQmlThreadPrivate::run (this=0x1aaec10) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/ftw/qqmlthread.cpp:147
#8  0x00007f93eb015e0f in QThreadPrivate::start (arg=0x1aaec10) at thread/qthread_unix.cpp:376
#9  0x00007f93e9eda724 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f93ea91ae8d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f93d3fff700 (LWP 2932)):
#0  0x00007f93ea91230d in poll () from /lib64/libc.so.6
#1  0x00007f93e556a314 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f93e556a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f93eb227fbb in QEventDispatcherGlib::processEvents (this=0x7f93cc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f93eb1d3a4b in QEventLoop::exec (this=this@entry=0x7f93d3ffec90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f93eb01114a in QThread::exec (this=this@entry=0x7f93eb8b9d40 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:522
#6  0x00007f93eb64f7b5 in QDBusConnectionManager::run (this=0x7f93eb8b9d40 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#7  0x00007f93eb015e0f in QThreadPrivate::start (arg=0x7f93eb8b9d40 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:376
#8  0x00007f93e9eda724 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f93ea91ae8d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f93f12b3900 (LWP 2919)):
[KCrash Handler]
#6  QVector<QQmlPropertyData>::count (this=<optimized out>) at /usr/include/qt5/QtCore/qvector.h:234
#7  QQmlPropertyCache::property (index=5, this=0x0) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlpropertycache_p.h:724
#8  QV4::QObjectWrapper::getProperty (engine=engine@entry=0x1c176f0, object=0x41fadd0, propertyIndex=5, captureRequired=true) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/jsruntime/qv4qobjectwrapper.cpp:339
#9  0x00007f93ee05ac43 in QV4::Runtime::method_getQmlQObjectProperty (engine=0x1c176f0, object=..., propertyIndex=<optimized out>, captureRequired=<optimized out>) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/jsruntime/qv4runtime.cpp:1496
#10 0x00007f9329aa7288 in ?? ()
#11 0x0000000001c123a0 in ?? ()
#12 0x0000000001c176f0 in ?? ()
#13 0x00007f93c3bc1868 in ?? ()
#14 0x00007f93ee0fdefc in QV4::QQmlValueTypeWrapper::create (engine=0x7f93d0140400, value=..., metaObject=<optimized out>, typeId=32659) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlvaluetypewrapper.cpp:205
#15 0x0000000001c12160 in ?? ()
#16 0x0000000001c12160 in ?? ()
#17 0x00007f93c3bc1378 in ?? ()
#18 0x00007fff70ed4510 in ?? ()
#19 0x00007fff70ed446f in ?? ()
#20 0x00000000042128f0 in ?? ()
#21 0x00007f93ee0f0f7b in QQmlJavaScriptExpression::evaluate (this=0x5e22b80, this@entry=0x42128f0, callData=0x7fff70ed43f0, isUndefined=0x7f93d0140400, isUndefined@entry=0x7fff70ed446f, scope=...) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmljavascriptexpression.cpp:223
#22 0x00007f93ee0fa87f in QQmlNonbindingBinding::doUpdate (this=0x42128f0, watcher=..., flags=..., scope=...) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlbinding.cpp:207
#23 0x00007f93ee0f80d4 in QQmlBinding::update (this=0x42128f0, flags=flags@entry=...) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlbinding.cpp:168
#24 0x00007f93ee0f88ee in QQmlBinding::expressionChanged (this=<optimized out>) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlbinding.cpp:479
#25 0x00007f93ee0cee87 in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=a@entry=0x0) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlnotifier.cpp:106
#26 0x00007f93ee06da2c in QQmlData::signalEmitted (object=0x4213430, index=22, a=0x0) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlengine.cpp:849
#27 0x00007f93eb1ff752 in QMetaObject::activate (sender=sender@entry=0x4213430, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=19, argv=argv@entry=0x0) at kernel/qobject.cpp:3644
#28 0x00007f93eb2001e7 in QMetaObject::activate (sender=sender@entry=0x4213430, m=m@entry=0x7f93ef1e0e40 <QQuickItem::staticMetaObject>, local_signal_index=local_signal_index@entry=19, argv=argv@entry=0x0) at kernel/qobject.cpp:3628
#29 0x00007f93eed74263 in QQuickItem::xChanged (this=this@entry=0x4213430) at .moc/moc_qquickitem.cpp:1139
#30 0x00007f93eed75868 in QQuickItem::geometryChanged (this=0x4213430, newGeometry=..., oldGeometry=...) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/quick/items/qquickitem.cpp:3769
#31 0x00007f93eed7bc2b in QQuickItem::setX (this=0x4213430, v=<optimized out>) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/quick/items/qquickitem.cpp:6467
#32 0x00007f93eed8901e in QQuickItem::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qquickitem.cpp:918
#33 0x00007f93ee0f9c26 in QQmlPropertyData::writeProperty (flags=..., value=0x7fff70ed6308, target=<optimized out>, this=<optimized out>) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlpropertycache_p.h:320
#34 GenericBinding<6>::doStore<double> (flags=..., pd=<optimized out>, value=15, this=0x4213ab0) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlbinding.cpp:296
#35 GenericBinding<6>::write (this=0x4213ab0, result=..., isUndefined=<optimized out>, flags=...) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlbinding.cpp:269
#36 0x00007f93ee0fa8c5 in QQmlNonbindingBinding::doUpdate (this=0x4213ab0, watcher=..., flags=..., scope=...) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlbinding.cpp:211
#37 0x00007f93ee0f80d4 in QQmlBinding::update (this=0x4213ab0, flags=..., flags@entry=...) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlbinding.cpp:168
#38 0x00007f93ee0f88ee in QQmlBinding::expressionChanged (this=<optimized out>) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlbinding.cpp:479
#39 0x00007f93ee0cee87 in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=a@entry=0x7fff70ed7f30) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlnotifier.cpp:106
#40 0x00007f93ee06da2c in QQmlData::signalEmitted (object=0x4213430, index=3, a=0x7fff70ed7f30) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/qml/qqmlengine.cpp:849
#41 0x00007f93eb1ff752 in QMetaObject::activate (sender=0x4213430, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff70ed7f30) at kernel/qobject.cpp:3644
#42 0x00007f93eb2001e7 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7f93ef1e0e40 <QQuickItem::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff70ed7f30) at kernel/qobject.cpp:3628
#43 0x00007f93eed73e92 in QQuickItem::childrenRectChanged (this=<optimized out>, _t1=...) at .moc/moc_qquickitem.cpp:1014
#44 0x00007f93eed75a8b in QQuickItemPrivate::emitChildrenRectChanged (rect=..., this=<optimized out>) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/quick/items/qquickitem_p.h:562
#45 QQuickContents::updateRect (this=<optimized out>) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/quick/items/qquickitem.cpp:266
#46 0x00007f93eed7a7b0 in QQuickItemPrivate::itemChange (this=<optimized out>, change=<optimized out>, data=...) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/quick/items/qquickitem.cpp:6121
#47 0x00007f93eed820a4 in QQuickItemPrivate::removeChild (this=this@entry=0x4213500, child=child@entry=0x56c7440) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/quick/items/qquickitem.cpp:2976
#48 0x00007f93eed861d3 in QQuickItem::setParentItem (this=this@entry=0x56c7440, parentItem=parentItem@entry=0x0) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/quick/items/qquickitem.cpp:2719
#49 0x00007f93eee1f421 in QQuickRepeater::modelUpdated (this=<optimized out>, changeSet=..., reset=<optimized out>) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/quick/items/qquickrepeater.cpp:482
#50 0x00007f93eee201f0 in QQuickRepeater::qt_static_metacall (_o=_o@entry=0x4206d30, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=7, _a=_a@entry=0x7fff70ed83a0) at .moc/moc_qquickrepeater_p.cpp:140
#51 0x00007f93eee2076b in QQuickRepeater::qt_metacall (this=0x4206d30, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0x7fff70ed83a0) at .moc/moc_qquickrepeater_p.cpp:259
#52 0x00007f93eb1ffc14 in QMetaObject::activate (sender=sender@entry=0x4210c70, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7fff70ed83a0) at kernel/qobject.cpp:3781
#53 0x00007f93eb2001e7 in QMetaObject::activate (sender=sender@entry=0x4210c70, m=m@entry=0x7f93ee42d060 <QQmlInstanceModel::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7fff70ed83a0) at kernel/qobject.cpp:3628
#54 0x00007f93ee14c6a6 in QQmlInstanceModel::modelUpdated (this=this@entry=0x4210c70, _t1=..., _t2=false) at .moc/moc_qqmlobjectmodel_p.cpp:221
#55 0x00007f93ee12b0f8 in QQmlDelegateModelPrivate::emitModelUpdated (this=<optimized out>, changeSet=..., reset=<optimized out>) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/types/qqmldelegatemodel.cpp:1467
#56 0x00007f93ee130873 in QQmlDelegateModelGroupPrivate::emitModelUpdated (this=0x42045c0, reset=reset@entry=false) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/types/qqmldelegatemodel.cpp:2261
#57 0x00007f93ee1309e2 in QQmlDelegateModelPrivate::emitChanges (this=0x420a2a0) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/types/qqmldelegatemodel.cpp:1486
#58 0x00007f93ee1360f2 in QQmlDelegateModel::_q_itemsRemoved (this=<optimized out>, index=1, count=1) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/types/qqmldelegatemodel.cpp:1413
#59 0x00007f93ee136648 in QQmlDelegateModel::_q_rowsRemoved (this=<optimized out>, parent=..., begin=<optimized out>, end=<optimized out>) at /usr/src/debug/qtdeclarative-everywhere-src-5.10.0/src/qml/types/qqmldelegatemodel.cpp:1562
#60 0x00007f93ee1374b5 in QQmlDelegateModel::qt_static_metacall (_o=_o@entry=0x4210c70, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=10, _a=_a@entry=0x7fff70ed86d0) at .moc/moc_qqmldelegatemodel_p.cpp:198
#61 0x00007f93ee13779b in QQmlDelegateModel::qt_metacall (this=0x4210c70, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0x7fff70ed86d0) at .moc/moc_qqmldelegatemodel_p.cpp:335
#62 0x00007f93eb1ffc14 in QMetaObject::activate (sender=sender@entry=0x4203ca0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=12, argv=argv@entry=0x7fff70ed86d0) at kernel/qobject.cpp:3781
#63 0x00007f93eb2001e7 in QMetaObject::activate (sender=sender@entry=0x4203ca0, m=m@entry=0x7f93eb62e920 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=12, argv=argv@entry=0x7fff70ed86d0) at kernel/qobject.cpp:3628
#64 0x00007f93eb17edfe in QAbstractItemModel::rowsRemoved (this=this@entry=0x4203ca0, _t1=..., _t2=1, _t3=1, _t4=_t4@entry=...) at .moc/moc_qabstractitemmodel.cpp:616
#65 0x00007f93eb1863aa in QAbstractItemModel::endRemoveRows (this=0x4203ca0) at itemmodels/qabstractitemmodel.cpp:2763
#66 0x00007f93eb1a2fed in QSortFilterProxyModelPrivate::remove_proxy_interval (emit_signal=true, orient=Qt::Vertical, proxy_parent=..., proxy_end=1, proxy_start=<optimized out>, proxy_to_source=..., source_to_proxy=..., this=0x42084f0) at itemmodels/qsortfilterproxymodel.cpp:639
#67 QSortFilterProxyModelPrivate::remove_source_items (this=0x42084f0, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., orient=Qt::Vertical, emit_signal=true) at itemmodels/qsortfilterproxymodel.cpp:609
#68 0x00007f93eb1a317d in QSortFilterProxyModelPrivate::source_items_about_to_be_removed (this=0x42084f0, source_parent=..., start=1, end=1, orient=orient@entry=Qt::Vertical) at itemmodels/qsortfilterproxymodel.cpp:910
#69 0x00007f93eb1a9178 in QSortFilterProxyModelPrivate::_q_sourceRowsAboutToBeRemoved (end=<optimized out>, start=<optimized out>, source_parent=..., this=<optimized out>) at itemmodels/qsortfilterproxymodel.cpp:1536
#70 QSortFilterProxyModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qsortfilterproxymodel.cpp:215
#71 0x00007f93eb1ff5ef in QMetaObject::activate (sender=sender@entry=0x42041c0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=11, argv=argv@entry=0x7fff70ed8a30) at kernel/qobject.cpp:3766
#72 0x00007f93eb2001e7 in QMetaObject::activate (sender=sender@entry=0x42041c0, m=m@entry=0x7f93eb62e920 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=11, argv=argv@entry=0x7fff70ed8a30) at kernel/qobject.cpp:3628
#73 0x00007f93eb17ed9e in QAbstractItemModel::rowsAboutToBeRemoved (this=this@entry=0x42041c0, _t1=..., _t2=_t2@entry=1, _t3=_t3@entry=1, _t4=_t4@entry=...) at .moc/moc_qabstractitemmodel.cpp:609
#74 0x00007f93eb185b34 in QAbstractItemModel::beginRemoveRows (this=this@entry=0x42041c0, parent=..., first=first@entry=1, last=last@entry=1) at itemmodels/qabstractitemmodel.cpp:2746
#75 0x00007f933c342ba1 in Plasma::DataModel::removeSource (this=0x42041c0, sourceName=...) at /usr/src/debug/plasma-framework-5.43.0/src/declarativeimports/core/datamodel.cpp:443
#76 0x00007f93eb1ffc93 in QtPrivate::QSlotObjectBase::call (a=0x7fff70ed8d40, r=0x42041c0, this=0x4275740) at ../../src/corelib/kernel/qobjectdefs_impl.h:378
#77 QMetaObject::activate (sender=sender@entry=0x41fbc80, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=4, argv=argv@entry=0x7fff70ed8d40) at kernel/qobject.cpp:3749
#78 0x00007f93eb2001e7 in QMetaObject::activate (sender=sender@entry=0x41fbc80, m=m@entry=0x7f933c579960 <Plasma::DataSource::staticMetaObject>, local_signal_index=local_signal_index@entry=4, argv=argv@entry=0x7fff70ed8d40) at kernel/qobject.cpp:3628
#79 0x00007f933c361675 in Plasma::DataSource::sourceDisconnected (this=this@entry=0x41fbc80, _t1=...) at /usr/src/debug/plasma-framework-5.43.0/build/src/declarativeimports/core/moc_datasource.cpp:435
#80 0x00007f933c34b646 in Plasma::DataSource::removeSource (this=0x41fbc80, source=...) at /usr/src/debug/plasma-framework-5.43.0/src/declarativeimports/core/datasource.cpp:205
#81 0x00007f933c363aa1 in Plasma::DataSource::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/plasma-framework-5.43.0/build/src/declarativeimports/core/moc_datasource.cpp:197
#82 0x00007f93eb1ff5ef in QMetaObject::activate (sender=0x420ca20, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7fff70ed8f30) at kernel/qobject.cpp:3766
#83 0x00007f93eb2001e7 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7f93ef6be200 <Plasma::DataEngine::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7fff70ed8f30) at kernel/qobject.cpp:3628
#84 0x00007f93ef460805 in Plasma::DataEngine::sourceRemoved (this=<optimized out>, _t1=...) at /usr/src/debug/plasma-framework-5.43.0/build/src/plasma/moc_dataengine.cpp:227
#85 0x00007f93eb1ffc93 in QtPrivate::QSlotObjectBase::call (a=0x7fff70ed90d0, r=0x420ca20, this=0x4210800) at ../../src/corelib/kernel/qobjectdefs_impl.h:378
#86 QMetaObject::activate (sender=sender@entry=0x415e860, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff70ed90d0) at kernel/qobject.cpp:3749
#87 0x00007f93eb2001e7 in QMetaObject::activate (sender=sender@entry=0x415e860, m=m@entry=0x7f9329a8f560 <OrgKdeStatusNotifierWatcherInterface::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff70ed90d0) at kernel/qobject.cpp:3628
#88 0x00007f93298717d8 in OrgKdeStatusNotifierWatcherInterface::StatusNotifierItemUnregistered (_t1=..., this=0x415e860) at /usr/src/debug/plasma-workspace-5.12.2/build/dataengines/statusnotifieritem/statusnotifierwatcher_interface.moc:244
#89 OrgKdeStatusNotifierWatcherInterface::qt_static_metacall (_o=_o@entry=0x415e860, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=3, _a=_a@entry=0x7fff70ed9230) at /usr/src/debug/plasma-workspace-5.12.2/build/dataengines/statusnotifieritem/statusnotifierwatcher_interface.moc:113
#90 0x00007f9329871b6b in OrgKdeStatusNotifierWatcherInterface::qt_metacall (this=0x415e860, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0x7fff70ed9230) at /usr/src/debug/plasma-workspace-5.12.2/build/dataengines/statusnotifieritem/statusnotifierwatcher_interface.moc:194
#91 0x00007f93eb65b6cb in QDBusConnectionPrivate::deliverCall (this=0x7f93cc0030f0, object=0x415e860, msg=..., metaTypes=..., slotIdx=9) at qdbusintegrator.cpp:999
#92 0x00007f93eb200f36 in QObject::event (this=0x415e860, e=<optimized out>) at kernel/qobject.cpp:1246
#93 0x00007f93ec1767fc in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x415e860, e=0x7f93cc0171f0) at kernel/qapplication.cpp:3733
#94 0x00007f93ec17d5e0 in QApplication::notify (this=0x7fff70ed99c0, receiver=0x415e860, e=0x7f93cc0171f0) at kernel/qapplication.cpp:3492
#95 0x00007f93eb1d5325 in QCoreApplication::notifyInternal2 (receiver=0x415e860, event=event@entry=0x7f93cc0171f0) at kernel/qcoreapplication.cpp:1044
#96 0x00007f93eb1d7d43 in QCoreApplication::sendEvent (event=0x7f93cc0171f0, receiver=<optimized out>) at kernel/qcoreapplication.h:234
#97 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x19b42e0) at kernel/qcoreapplication.cpp:1719
#98 0x00007f93eb1d8288 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1573
#99 0x00007f93eb228773 in postEventSourceDispatch (s=0x1a09fa0) at kernel/qeventdispatcher_glib.cpp:276
#100 0x00007f93e556a134 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#101 0x00007f93e556a388 in ?? () from /usr/lib64/libglib-2.0.so.0
#102 0x00007f93e556a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#103 0x00007f93eb227f9c in QEventDispatcherGlib::processEvents (this=this@entry=0x1a0c5d0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#104 0x00007f93dc402471 in QPAEventDispatcherGlib::processEvents (this=0x1a0c5d0, flags=...) at qeventdispatcher_glib.cpp:69
#105 0x00007f93eb1d3a4b in QEventLoop::exec (this=this@entry=0x7fff70ed9870, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#106 0x00007f93eb1dc104 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1332
#107 0x00007f93eb9c4e5c in QGuiApplication::exec () at kernel/qguiapplication.cpp:1687
#108 0x00007f93ec176755 in QApplication::exec () at kernel/qapplication.cpp:2918
#109 0x000000000041ed92 in main (argc=1, argv=<optimized out>) at /usr/src/debug/plasma-workspace-5.12.2/shell/main.cpp:166

Possible duplicates by query: bug 389288, bug 386147, bug 384482, bug 383993.

Reported using DrKonqi
Comment 1 kerozoli 2018-03-02 20:42:02 UTC
I can repro this issue and reproduce 100% in Tumbleweed
Comment 2 Weidner-Kim 2018-03-07 05:49:25 UTC
I also can confirm this bug.
----
System:

Open SuSe Leap 42.3 / German localization
akonadi (17.04.2-1.1/17.04.2-1.6 according to Yast)
KDE Frameworks 5.32.0
Qt 5.6.2 (compiled against 5.6.2) (libqt4 4.8.6-16.6, libqt5-* 5.6.2-1.3 according to Yast)
kMail 5.5.2 (17.04.2-3.1 according to Yast)
----
Installed the Linux Distro from Scratch a few week ago, for some time everything was fine, and suddenly this bug emerged. Can't remember whether this was connected to an semi-automated update or not.

Even after several following updates, the bug still exists. No way to get into security options (in German Menu: Einstellungen/KMail einrichten.../Sicherheit).
----
I'm new to bugs.kde.org, so I don't dare to change the "product" info, But I wonder whether it is correct?
Comment 3 Kai Uwe Broulik 2018-03-07 08:02:57 UTC
I have seen that crash after updating to Qt 5.10 but it went away when I recompiled KMail from git
Comment 4 prolaser 2018-03-09 16:46:49 UTC
I do have the same problem in Opensuse Leap 42.3
4.4.114-42-default x86_64
Comment 5 Christoph Feck 2018-03-15 03:27:01 UTC
The backtrace does not show a kmail crash, but a plasmashell crash.

For the kmail issue, please see bug 391336.
Comment 6 Hans-Rudi Denzler 2018-03-15 15:01:11 UTC
Fixed with 17.04.2-9.1

plasma5-workspace-lang-5.8.7-11.1.noarch      Do 15 Mär 2018 15:49:15 CET
messagelib-lang-17.04.2-9.1.noarch            Do 15 Mär 2018 15:49:15 CET
plasma5-workspace-5.8.7-11.1.x86_64           Do 15 Mär 2018 15:49:13 CET
messagelib-17.04.2-9.1.x86_64                 Do 15 Mär 2018 15:49:13 CET

Leap 42.3
KDE-Plasma-Version: 5.8.7/5.32.0/5.6.2/4.4.114-42-default/64-bit
Comment 7 Hans-Rudi Denzler 2018-03-15 15:03:08 UTC
plasma5-workspace-libs-5.8.7-11.1.x86_64